hpp-corbaserver: hpp::core_impl::WeighedDistanceServant< _Base, _Storage > Class Template Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | List of all members
hpp::core_impl::WeighedDistanceServant< _Base, _Storage > Class Template Reference

`#include <hpp/core_idl/distances-fwd.hh>`

Inheritance diagram for hpp::core_impl::WeighedDistanceServant< _Base, _Storage >:
[legend]
Collaboration diagram for hpp::core_impl::WeighedDistanceServant< _Base, _Storage >:
[legend]

## Public Types
typedef hpp::core_impl::DistanceServant< _Base, _Storage >::HppBase | HppBase
Public Types inherited from hpp::core_impl::DistanceServant< _Base, _Storage >
typedef hpp::core::Distance | HppBase
Public Types inherited from hpp::corbaServer::ServantBase< hpp::core::Distance, _Storage >
typedef _Storage | Storage
typedef weak_ptr< typename Storage::element_type > | StorageElementWkPtr_t
typedef shared_ptr< typename Storage::element_type > | StorageElementShPtr_t
Public Types inherited from hpp::corbaServer::AbstractServantBase< T >
typedef shared_ptr< T > | TShPtr_t
typedef weak_ptr< T > | TWkPtr_t

## Public Member Functions
| SERVANT_BASE_TYPEDEFS (hpp::core_idl::WeighedDistance, HppBase)
| WeighedDistanceServant (::hpp::corbaServer::Server *server, const _Storage &s)
virtual | ~WeighedDistanceServant ()
hpp::floatSeq * | getWeights ()
void | setWeights (const hpp::floatSeq &weights)
Public Member Functions inherited from hpp::core_impl::DistanceServant< _Base, _Storage >
| SERVANT_BASE_TYPEDEFS (hpp::core_idl::Distance, HppBase)
| DistanceServant (::hpp::corbaServer::Server *server, const _Storage &s)
virtual | ~DistanceServant ()
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
hpp::value_type | call (const hpp::floatSeq &q1, const hpp::floatSeq &q2)
Public Member Functions inherited from hpp::corbaServer::ServantBase< hpp::core::Distance, _Storage >
virtual | ~ServantBase ()
virtual TShPtr_t | get () const
bool | expired () const final
StorageElementShPtr_t | getT () const
const Storage & | getS () const
void | persistantStorage (bool persistant)
| Set to true if the servant should take ownership of this object. More...
bool | persistantStorage () const
| See persistantStorage(bool) More...
void | deleteThis ()
bool | deleteIfExpired ()
Public Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
virtual | ~AbstractServantBase ()
virtual Server::ServantKey | getServantKey () const

## Additional Inherited Members
Protected Member Functions inherited from hpp::corbaServer::ServantBase< hpp::core::Distance, _Storage >
| ServantBase (Server *server, const Storage &_s)
Protected Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
| AbstractServantBase (Server *server)
Protected Attributes inherited from hpp::corbaServer::ServantBase< hpp::core::Distance, _Storage >
Storage | wrappedObject_
Protected Attributes inherited from hpp::corbaServer::AbstractServantBase< T >
Server * | server_

## Member Typedef Documentation

## ◆ HppBase

template<typename _Base , typename _Storage >

typedef hpp::core_impl::DistanceServant<_Base, _Storage>::HppBase hpp::core_impl::WeighedDistanceServant< _Base, _Storage >::HppBase

## Constructor & Destructor Documentation

## ◆ WeighedDistanceServant()

template<typename _Base , typename _Storage >

hpp::core_impl::WeighedDistanceServant< _Base, _Storage >::WeighedDistanceServant | ( | ::hpp::corbaServer::Server * | server,
|  | const _Storage & | s
| ) |  |

## ◆ ~WeighedDistanceServant()

template<typename _Base , typename _Storage >

hpp::core_impl::WeighedDistanceServant< _Base, _Storage >::~WeighedDistanceServant
| virtual

## Member Function Documentation

## ◆ getWeights()

template<typename _Base , typename _Storage >

hpp::floatSeq * hpp::core_impl::WeighedDistanceServant< _Base, _Storage >::getWeights

## ◆ SERVANT_BASE_TYPEDEFS()

template<typename _Base , typename _Storage >

hpp::core_impl::WeighedDistanceServant< _Base, _Storage >::SERVANT_BASE_TYPEDEFS | ( | hpp::core_idl::WeighedDistance | ,
|  | HppBase |
| ) |  |

## ◆ setWeights()

template<typename _Base , typename _Storage >

void hpp::core_impl::WeighedDistanceServant< _Base, _Storage >::setWeights | ( | const hpp::floatSeq & | weights | ) |

The documentation for this class was generated from the following files:

- src/hpp/core_idl/distances-fwd.hh
- src/hpp/core_idl/distances.hh